%define upstream_name    Digest-MD5-File
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Digest::MD5 Sub Class to use paths directly
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildArch: noarch

%description
  Get MD5 sums for files of a given path or content of a given url.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.80.0-11.mga10
+ Revision: 2198253
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.80.0-10.mga9
+ Revision: 1803014
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-9.mga8
+ Revision: 1494061
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-8.mga7
+ Revision: 1267276
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1025791
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 931675
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 748572
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 684365
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 510897
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 365926
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 shlomif <shlomif> 0.80.0-1.mga3
+ Revision: 322596
- imported package perl-Digest-MD5-File


* Wed Nov 28 2012 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
